Package fr.gouv.vitam.scheduler.server.client

# Class SchedulerClientFactory

java.lang.Object
fr.gouv.vitam.common.client.VitamClientFactory<SchedulerClient>
fr.gouv.vitam.scheduler.server.client.SchedulerClientFactory

All Implemented Interfaces:
  `VitamClientFactoryInterface<SchedulerClient>`

public class SchedulerClientFactory extends VitamClientFactory<SchedulerClient>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface fr.gouv.vitam.common.client.VitamClientFactoryInterface

  `VitamClientFactoryInterface.VitamClientType`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `clientConfiguration`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeMode(ClientConfiguration configuration)`
  `SchedulerClient`
  `getClient()`
  This method returns the correct Client adapted to the business case
  `static SchedulerClientFactory`
  `getInstance()`
  Get the SchedulerClientFactory instance
  `static SchedulerClientFactory`
  `getInstance(WorkFlowExecutionContext executionContext)`
  Get the SchedulerClientFactory instance for the given workflow execution context

  ### Methods inherited from class fr.gouv.vitam.common.client.VitamClientFactory

  `changeResourcePath, changeServerPort, disableUseAuthorizationFilter, enableUseAuthorizationFilter, getClientConfiguration, getDefaultConfigCient, getDefaultConfigCient, getHttpClient, getHttpClient, getResourcePath, getServiceUrl, getVitamClientType, getVitamThreadPoolExecutor, initialisation, isAllowGzipDecoded, isAllowGzipEncoded, resetConnections, resume, setGzipdecoded, setGzipEncoded, setVitamClientType, shutdown, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SchedulerClientFactory getInstance()
    Get the SchedulerClientFactory instance
    Returns:
      the instance

  - ### getInstance

    public static SchedulerClientFactory getInstance(WorkFlowExecutionContext executionContext)
    Get the SchedulerClientFactory instance for the given workflow execution context
    Parameters:
      `executionContext` - the workflow execution context
    Returns:
      the instance

  - ### getClient

    public SchedulerClient getClient()
    Description copied from interface: `VitamClientFactoryInterface`
    This method returns the correct Client adapted to the business case
    Returns:
      the Vitam client

  - ### changeMode

    public static void changeMode(ClientConfiguration configuration)
    Parameters:
      `configuration` - null for MOCK